Device not updating to latest release


#1

Similar to Device not downloading latest release, my RPi3 is not updating to the latest release. I’ve tried restarting and rebooting.

Device info:

  • UUID: 70a49831832891fe5349bc19b829bb3a
  • Resin OS: Resin OS 2.12.7+rev1 (dev)
  • Supervisor: Version 7.4.3

I’ve already granted support access.

Is there any way to force the download? Thanks in advance!


#22

Hi, It appears that the problem is being caused by using an environment variable name that contains an invalid character, a hyphen - in this case. Environment variable names should consist solely of uppercase letters, digits, and underscores.
Can you try changing this environment variable name and let us know if it fixes the issue?


#25

Are you referring to a hyphen in the new or old (currently running) build?

The running (old) build does not have any hyphens in the Host OS. Neither does the listener service. The db service is crashing when trying to launch it so I can’t see the environment variables there.


#26

@smomni Can you post your docker-compose file please?


#27

version: ‘2’
volumes:
resin-data:
services:
db:
image: arm32v7/postgres:9.6
restart: always
volumes:
- ‘resin-data:/var/lib/postgresql/data’
environment:
POSTGRES-PASSWORD: mysecretpassword
listener:
build: .
privileged: true
restart: always
depends_on:
- db

There it is in plain sight: POSTGRES-PASSWORD. I will replace the hyphen with an underscore and post the results.


#28

Awesome! Let us know how you get on


#29

That did the trick! The device is now loading the new release. Thanks for your help!